<Alte::ContentHeader @name={{t "pods.integration.title"}}>
  <Alte::Breadcrumb>
    <Alte::BreadcrumbItem>
      <LinkTo @route="index">{{t "pods.index.breadcrumb"}}</LinkTo>
    </Alte::BreadcrumbItem>
    <Alte::BreadcrumbItem @active={{true}}>{{t "pods.integration.breadcrumb"}}</Alte::BreadcrumbItem>
  </Alte::Breadcrumb>
</Alte::ContentHeader>

<section class="content" {{transition-on-route-update this.routerConfig.integrationRoute}}>
  <div class="row"><div class="col-12">
      <div class="callout callout-info">
        <p>{{t "components.integration.callout"}}</p>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-md-3">
      <Alte::Card @type="warning">
        <Alte::Card::Header @title={{t "components.integration.settings.card-title"}} @titleIcon="tools" />
        <Alte::Card::Body>
          <BsForm @formLayout="vertical" as |form|>
            <div class="row">
              <div class="col-12">
                <form.element
                  @controlType="power-select"
                  @label={{t "components.integration.settings.simulator-label"}}
                  @value={{this.simulator}}
                  @onChange={{this.setSimulator}}
                  @options={{this.simulators}}
                  as |el|
                >
                  <el.control as |simulator|>
                    {{t simulator.labelKey}}
                  </el.control>
                </form.element>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <div class="form-group">
                  <label for="simulator-title">{{t "components.integration.settings.title.label"}}</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <div class="input-group-text">
                        <input
                          type="checkbox"
                          value={{this.title}}
                          aria-label={{t "components.integration.settings.title.checkbox-hint"}}
                          {{on "change" this.setTitle}}
                        />
                      </div>
                    </div>
                    <input
                      class="form-control"
                      disabled={{not this.title}}
                      id="simulator-title"
                      value={{this.titleValue}}
                      {{on "input" this.setTitleValue}}
                    />
                  </div>
                </div>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <div class="form-group">
                  <label for="simulator-title">{{t "components.integration.settings.background-color-label"}}</label>
                  <hex-color-picker
                    color={{this.backgroundColor}}
                    {{color-picker onChange=this.setBackgroundColor}}
                  ></hex-color-picker>
                </div>
              </div>
            </div>
          </BsForm>
        </Alte::Card::Body>
      </Alte::Card>
      <Alte::Card @type="success">
        <Alte::Card::Header @title={{t "components.integration.code"}} @titleIcon="code" />
        <Alte::Card::Body class="p-0">
          <CodeBlock @code={{this.script}} @language="html" />
        </Alte::Card::Body>
      </Alte::Card>
    </div>
    <div class="col-md-9">
      <Alte::Card @type="primary">
        <Alte::Card::Header @title={{t "components.integration.preview"}} @titleIcon="clone" />
        <Alte::Card::Body class="p-0">
          {{! template-lint-disable no-forbidden-elements }}
          <script
            id="fritzy-simulator"
            data-simulator={{this.simulator.id}}
            src="{{this.hrefWithoutPathname}}/iframe-integration.js"
          ></script>
        </Alte::Card::Body>
      </Alte::Card>
    </div>
  </div>
</section>